<?php

declare(strict_types=1);

namespace Dedi\SyliusMigrationPlugin\Command;

use Dedi\SyliusMigrationPlugin\Service\ConnectionCheckerInterface;
use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;

class CheckConnectionCommand extends Command
{
    private ConnectionCheckerInterface $connectionChecker;

    public function __construct(
        string $name = null,
        ConnectionCheckerInterface $connectionChecker
    ) {
        parent::__construct($name);
        $this->connectionChecker = $connectionChecker;
    }

    protected function configure(): void
    {
        $this
            ->setDescription('Migrate database from a Legacy Database to Sylius')
        ;
    }

    protected function execute(InputInterface $input, OutputInterface $output): int
    {
        if ($this->connectionChecker->execute()) {
            $output->writeln('<info>Connexion réussie</info>');

            return Command::SUCCESS;
        }
        $output->writeln(sprintf('<error>Connexion échouée</error>'));

        return Command::FAILURE;
    }
}
