<?php

declare(strict_types=1);

namespace Dedi\SyliusMigrationPlugin\Dto;

final class MigrationOption
{
    private bool $dryRun;

    private bool $truncate;

    private ?array $tables;

    private ?\DateTimeInterface $dateFrom;

    private ?string $group;

    public function __construct(bool $dryRun, bool $truncate, ?array $tables = null, ?\DateTimeInterface $dateFrom = null, ?string $group = null)
    {
        $this->dryRun = $dryRun;
        $this->truncate = $truncate;
        $this->tables = $tables;
        $this->dateFrom = $dateFrom;
        $this->group = $group;
    }

    public function isDryRun(): bool
    {
        return $this->dryRun;
    }

    public function isTruncate(): bool
    {
        return $this->truncate;
    }

    public function getTables(): ?array
    {
        return $this->tables;
    }

    public function getDateFrom(): ?\DateTimeInterface
    {
        return $this->dateFrom;
    }

    public function getGroup(): ?string
    {
        return $this->group;
    }
}
