<?php

declare(strict_types=1);

namespace Dedi\SyliusMigrationPlugin\Dto;

final class SearchMappingDefinition
{
    private string $sourceTable;

    private string $valueColum;

    private string $type;

    private function __construct(string $sourceTable, string $valueColum, string $type)
    {
        $this->sourceTable = $sourceTable;
        $this->valueColum = $valueColum;
        $this->type = $type;
    }

    public function getSourceTable(): string
    {
        return $this->sourceTable;
    }

    public function getValueColum(): string
    {
        return $this->valueColum;
    }

    public function getType(): string
    {
        return $this->type;
    }

    public static function fromArray(array $data): self
    {
        return new self($data['source_table'], $data['value_column'], $data['type']);
    }
}
