<?php

declare(strict_types=1);

namespace Dedi\SyliusMigrationPlugin\Service\Specification;

use Dedi\SyliusMigrationPlugin\Definition\ColumnMappingDefinition;
use Dedi\SyliusMigrationPlugin\Definition\TableMappingDefinition;

class IsIdMappedAndNotGenerated
{
    public function isSatisfiedBy(TableMappingDefinition $tableMappingDefinition, $id): bool
    {
        $hasIdMapped = array_reduce($tableMappingDefinition->getColumnMappingDefinitions(), function (bool $hasIdMapped, ColumnMappingDefinition $columnMappingDefinition): bool {
            return true === $hasIdMapped || $columnMappingDefinition->getTargetColumName() === 'id';
        }, false);

        if (!$hasIdMapped) {
            return false;
        }

        return false === $id || $id === '0' || $id <= 0;
    }
}
